
:root {
    --body-bg-image: url('images/backgrounds/galaxy4.gif');
    --yellow: #fda95b;
    --pink: #ec4c69;
    --green: #94e3c4;
    --purple: #50476b;
    --darkpurple: #211226;


    /* colors */
    --content: #43256E;
}

/* --- WEBSITE FONTS --- */
@font-face {
    font-family: Pixelatus;
    src: url('fonts/body/Pixelatus.ttf');
}

@font-face {
    font-family: Dogica;
    src: url('fonts/body/dogica.ttf');
}

@font-face {
    font-family: Nova Mono;
    src: url('fonts/body/NovaMono-Regular.ttf');
}

@font-face {
    font-family: Pixel Operator;
    src: url('fonts/body/PixelOperator.ttf');
}

@font-face {
    font-family: ShareTechMono;
    src: url('fonts/body/ShareTechMono-Regular.ttf');
}

@font-face {
    font-family: Pixelatus;
    src: url('fonts/body/Pixelatus.ttf');
}

@font-face {
    font-family: Astigma;
    src: url('fonts/headings/ASS.TTF');
}

@font-face {
    font-family: Snorter;
    src: url('fonts/headings/SNORTER\ PERSONAL\ USE.ttf');
}

@font-face {
    font-family: Doctor Punk;
    src: url('fonts/headings/doctor\ punk.otf');
}

@font-face {
    font-family: Earwig Factory;
    src: url('fonts/headings/earwig\ factory\ rg.otf');
}

/* --- TEXT EFFECT CLASSES --- */
.neonText {
    color: #ffc072;
    text-shadow:
        0 0 7px #fda95b,
        0 0 20px #fda95b,
        0 0 42px #ec5345,
        0 0 82px #ec5345,
        0 0 92px #ec5345,
        0 0 102px #ec5345,
        0 0 130px #ec5345;    
  }

.textOutline {
    text-shadow:
    -1px -1px 0 #ffefdc,
    1px -1px 0 #ffefdc,
    -2px 2px 0 #ffefdc,
    2px 2px 0 #ffefdc;
}

b {
    color: var(--darkpurple);
}

a {
    color: #fda95b;
    animation: textShadow 1.6s infinite;
}

body {
    font-family: 'Pixel Operator', sans-serif;
    font-size: 18px;
    margin: 0;
    background-color: #000000;
    /* you can delete the line below if you'd prefer to not use an image */
    background-size: 200px;
    color: #fceaff;
    background-image: var(--body-bg-image);
    background-attachment: fixed;
}

* {
    box-sizing: border-box;
}

/* below this line is CSS for the layout */

/* the "container" is what wraps your entire website */
/* if you want something (like the header) to be Wider than
the other elements, you will need to move that div outside
of the container */
#container {
    max-width: 1100px;
    /* this is the width of your layout! */
    /* if you change the above value, scroll to the bottom
and change the media query according to the comment! */
    margin: 0 auto;
    /* this centers the entire page */
}

/* the area below is for all links on your page
EXCEPT for the navigation */
#container a {
    color: var(--yellow);
    font-weight: bold;
    /* if you want to remove the underline
you can add a line below here that says:
text-decoration:none; */
}

#flex {
    display: flex;
}

#leftSidebar {
    order: 1;
    width: 200px;
    margin-right: 15px;
    justify-content: space-between;
}

#rightSidebar {
    order: 3;
    width: 200px;
    margin-left: 15px;
}

.sidebarBox {
    padding: .5em;
    background-color: transparent;
    border: 3px outset var(--yellow);
    font-size: smaller;
    box-shadow: 0 0 6px var(--pink) inset;
    margin-bottom: 20px;
    margin-left: 10px;
    margin-right: 10px;
}

.sidebarScroll {
    padding: .5em;
    background-color: transparent;
    border: 3px outset var(--yellow);
    font-size: smaller;
    box-shadow: 0 0 6px var(--pink) inset;
    margin-bottom: 20px;
    margin-left: 10px;
    margin-right: 10px;
    overflow:auto;
    height: 150px;
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

.sidebarHeader {
    text-align: center;
    letter-spacing: 5px;
    text-shadow: 0 0 5px var(--yellow);
    text-shadow: 0 0 10px var(--pink);
}

ul#navigation {
    list-style-type: none;
    padding: .5em;
    background-color: transparent;
    margin: 0px;
    text-align: center;
    letter-spacing: 1px;
    margin-bottom: 20px;
}

li a.navButtons{
    display: block;
        padding: 8px 16px;
        margin-left: 10px;
        margin-right: 10px;
        text-decoration: none;
        box-shadow: 0 0 6px var(--pink) inset;
        border: 3px outset var(--yellow);
}

li a.active {
    display: block;
        padding: 8px 16px;
        text-decoration: none;
        background-color: #b1244a;
        border: 2px solid white;
        border-bottom: 3px solid white;
        border-right: 3px solid white;
        transform: rotate(2deg);  
        color: white !important;
  }

li a:hover:not(.active) {
    border: 3px solid white;
    box-shadow: 0 0 15px var(--pink) inset;
    color: white !important;
  }

table {
    width: 100%;
}

td, th {
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #766a94;
}

#tableBold {
    background: #766a94;
}

#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}

/* MAIN PAGE */
main {
    background-color: var(--purple);
    flex: 1;
    padding: 20px;
    order: 2;
    border-style: outset;
    border-color: #6a5e85;
}

#guestbook {
    width: 65%;
    float: left;
    padding-left: 10px;
    padding-right: 10px;
}

#introStamps {
    width: 35%;
    float: left;
    text-align: center;
}

.footerBlinkies {
    text-align: center;
}

#selfinsertwebring strong {
  color: black;
  text-shadow: none !important;
}

/* ART GALLERY COVERS */
div.gallery {
    border: 3px outset var(--yellow);
    box-shadow: 0 0 6px var(--pink) inset;
  }
  
  div.gallery:hover {
    border: 3px solid white;
  }
  
  div.gallery img {
    width: 100%;
    height: auto;
  }
  
  div.desc {
    padding: 15px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 3px;
  }
  
  * {
    box-sizing: border-box;
  }
  
  .responsive {
    padding: 0 6px;
    margin-top: 12px;
    float: left;
    width: 24.99999%;
  }
  
  @media only screen and (max-width: 700px) {
    .responsive {
      width: 49.99999%;
      margin: 6px 0;
    }
  }
  
  @media only screen and (max-width: 500px) {
    .responsive {
      width: 100%;
    }
  }
  
  .clearfix:after {
    content: "";
    display: table;
    clear: both;
  }


/* FOOTER */
footer {
    background-color: var(--purple);
    /* background color for footer */
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
    /* this centers the footer text */
}

h2,
h3 {
    font-family: 'Pixel Operator';
    color: var(--yellow);
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
    letter-spacing: 5px;
}

h1 {
    font-family: 'Pixelatus';
    font-size: 25px;
    color: var(--pink);
    margin: 20px;
    animation: textShadow 1.6s infinite;
}

strong {
    /* this styles bold text */
    color: var(--green);
    animation: textShadow 1.6s infinite;
}

/* CSS for extras */

/* BELOW THIS POINT IS MEDIA QUERY */

/* so you wanna change the width of your page? 
by default, the container width is 900px.
in order to keep things responsive, take your new height,
and then subtrack it by 100. use this new number as the 
"max-width" value below
*/

@media only screen and (max-width: 1000px) {
    #flex {
        flex-wrap: wrap;
    }

    aside {
        width: 100%;
    }

    /* the order of the items is adjusted here for responsiveness!
since the sidebars would be too small on a mobile device.
feel free to play around with the order!
*/
    main {
        order: 1;
    }

    #leftSidebar {
        order: 2;
    }

    #rightSidebar {
        order: 3;
    }
}

/* CRT EFFECT */

@keyframes flicker {
    0% {
      opacity: 0.27861;
    }
    5% {
      opacity: 0.34769;
    }
    10% {
      opacity: 0.23604;
    }
    15% {
      opacity: 0.90626;
    }
    20% {
      opacity: 0.18128;
    }
    25% {
      opacity: 0.83891;
    }
    30% {
      opacity: 0.65583;
    }
    35% {
      opacity: 0.67807;
    }
    40% {
      opacity: 0.26559;
    }
    45% {
      opacity: 0.84693;
    }
    50% {
      opacity: 0.96019;
    }
    55% {
      opacity: 0.08594;
    }
    60% {
      opacity: 0.20313;
    }
    65% {
      opacity: 0.71988;
    }
    70% {
      opacity: 0.53455;
    }
    75% {
      opacity: 0.37288;
    }
    80% {
      opacity: 0.71428;
    }
    85% {
      opacity: 0.70419;
    }
    90% {
      opacity: 0.7003;
    }
    95% {
      opacity: 0.36108;
    }
    100% {
      opacity: 0.24387;
    }
  }
  @keyframes textShadow {
    0% {
      text-shadow: 0.4389924193300864px 0 1px rgba(0,30,255,0.5), -0.4389924193300864px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    5% {
      text-shadow: 2.7928974010788217px 0 1px rgba(0,30,255,0.5), -2.7928974010788217px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    10% {
      text-shadow: 0.02956275843481219px 0 1px rgba(0,30,255,0.5), -0.02956275843481219px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    15% {
      text-shadow: 0.40218538552878136px 0 1px rgba(0,30,255,0.5), -0.40218538552878136px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    20% {
      text-shadow: 3.4794037899852017px 0 1px rgba(0,30,255,0.5), -3.4794037899852017px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    25% {
      text-shadow: 1.6125630401149584px 0 1px rgba(0,30,255,0.5), -1.6125630401149584px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    30% {
      text-shadow: 0.7015590085143956px 0 1px rgba(0,30,255,0.5), -0.7015590085143956px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    35% {
      text-shadow: 3.896914047650351px 0 1px rgba(0,30,255,0.5), -3.896914047650351px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    40% {
      text-shadow: 3.870905614848819px 0 1px rgba(0,30,255,0.5), -3.870905614848819px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    45% {
      text-shadow: 2.231056963361899px 0 1px rgba(0,30,255,0.5), -2.231056963361899px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    50% {
      text-shadow: 0.08084290417898504px 0 1px rgba(0,30,255,0.5), -0.08084290417898504px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    55% {
      text-shadow: 2.3758461067427543px 0 1px rgba(0,30,255,0.5), -2.3758461067427543px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    60% {
      text-shadow: 2.202193051050636px 0 1px rgba(0,30,255,0.5), -2.202193051050636px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    65% {
      text-shadow: 2.8638780614874975px 0 1px rgba(0,30,255,0.5), -2.8638780614874975px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    70% {
      text-shadow: 0.48874025155497314px 0 1px rgba(0,30,255,0.5), -0.48874025155497314px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    75% {
      text-shadow: 1.8948491305757957px 0 1px rgba(0,30,255,0.5), -1.8948491305757957px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    80% {
      text-shadow: 0.0833037308038857px 0 1px rgba(0,30,255,0.5), -0.0833037308038857px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    85% {
      text-shadow: 0.09769827255241735px 0 1px rgba(0,30,255,0.5), -0.09769827255241735px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    90% {
      text-shadow: 3.443339761481782px 0 1px rgba(0,30,255,0.5), -3.443339761481782px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    95% {
      text-shadow: 2.1841838852799786px 0 1px rgba(0,30,255,0.5), -2.1841838852799786px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
    100% {
      text-shadow: 2.6208764473832513px 0 1px rgba(0,30,255,0.5), -2.6208764473832513px 0 1px rgba(255,0,80,0.3), 0 0 3px;
    }
  }
  .crt::after {
    content: " ";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(18, 16, 16, 0.1);
    opacity: 0;
    z-index: 2;
    pointer-events: none;
  }
  .crt::before {
    content: " ";
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    z-index: 2;
    background-size: 100% 2px, 3px 100%;
    pointer-events: none;
  }
  .crt {
    animation: textShadow 1.6s infinite;
  }
  